package com.qunzhixinxi.hnqz.admin.api.dto;

import com.qunzhixinxi.hnqz.admin.api.entity.SysUser;
import lombok.Data;
import lombok.EqualsAndHashCode;
import rx.Subscription;

import java.util.List;

/**
 * @author hnqz
 * @date 2017/11/5
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class UserDTO extends SysUser {

	private static final long serialVersionUID = -6106669456462384210L;
	/**
	 * 角色ID
	 */
	private List<Integer> role;

	/**
	 * 部门id
	 */
	private Integer deptId;

	/**
	 * 新密码
	 */
	private String newpassword1;

	/**
	 * 新密码
	 */
	private String w1;

	private String subType;

	/**
	 * 税源地
	 */
	private String subjectLocation;

	/**
	 * 认证状态
	 */
	private String certType;

	/**
	 * 用户id集合
	 */
	private List<Integer> userIdList;

}
