package com.qunzhixinxi.hnqz.admin.api.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 积分包
 *
 * @author gaoyanng
 * @date 2020-06-25 23:35:42
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class WmScorePackageVO extends Model<WmScorePackageVO> {
	private static final long serialVersionUID = 1L;

	/**
	 *
	 */
	@NotNull(message = "ID不能为空")
	private String id;

	@NotEmpty(message = "提交类型")
	private String formType;

	private Integer invoiceCategory;

	@DecimalMin("0")
	private BigDecimal discount;

	@DecimalMin("0")
	private BigDecimal settleAmount;

	private BigDecimal score;

}
