package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 导出报告处理类和企业关系表
 * @TableName report_handler_dept_relation
 */
@TableName(value ="report_handler_dept_relation")
@Data
@EqualsAndHashCode(callSuper = true)
public class ReportHandlerDeptRelation extends Model<ReportHandlerDeptRelation> {

    private static final long serialVersionUID = -6670565273513991743L
            ;
    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 报告类型
     */
    private String reportType;

    /**
     * 企业id
     */
    private Integer detpId;

    /**
     * 处理类
     */
    private String handlerClass;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新人
     */
    private Integer updateUser;

}