package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 微信消息和素材关联表实体
 *
 * @author lixuesong
 * @date 2021年04月28日 17:45
 */
@Data
@TableName("sys_wx_reply_message_relation")
@EqualsAndHashCode(callSuper = true)
public class SysWxReplyMessageRelation extends Model<SysWxReplyMessage> {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键id
	 */
	@TableId
	private Integer id;

	private Integer messageId;

	private Integer messageMediaId;
}
