package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.time.LocalDateTime;


/**
 * 用户回访记录表
 */
@Data
@TableName(value = "sys_user_record", autoResultMap = true)
public class UserRecord extends Model<UserRecord> {

    /**
     * 序列化
     */
    private static final long serialVersionUID = 3950572821457344576L;

    /**
     * 记录ID
     */
    @TableId
    private Integer id;

    /**
     * 关联用户ID
     */
    private Integer userId;

    /**
     * 类型
     */
    private String type;

    /**
     * 内容
     */
    private String msg;

    /**
     * 删除标记位
     */
    @TableLogic
    private String delFlag;

    /**
     * 创建人
     */
    private String createUser;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUser;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}
