package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * CRO管理
 *
 * @author Dhy
 * @date 2020-12-17 14:37:09
 */
@Data
@TableName("wm_cro")
@EqualsAndHashCode(callSuper = true)
public class WmCro extends Model<WmCro> {
	private static final long serialVersionUID = 1L;


	@TableId
	private Integer id;
	/**
	 * 企业名称
	 */
	private String qymc;
	/**
	 * 统一社会信用代码
	 */
	private String tyshxydm;
	/**
	 * 派工权限
	 */
	private String pgqx;
	/**
	 * 最新更新时间
	 */
	private LocalDateTime updateTime;
	/**
	 * 最新更新时间
	 */
	private LocalDateTime createTime;
	/**
	 * 状态
	 */
	private String statu;
	/**
	 * 营业执照
	 */
	private String yyzz;
	/**
	 * 社保纳税证明
	 */
	private String sbnszm;
	/**
	 * 法人身份证人像面
	 */
	private String frsfzrxm;
	/**
	 * 法人身份证国徽面
	 */
	private String frsfzghm;
	/**
	 * 法人身份证国徽面
	 */
	private String frsfzsc;
	/**
	 * 信用状态
	 */
	private String creditStatu;
	/**
	 * 任务状态
	 */
	private String taskStatu;
}
