package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.qunzhixinxi.hnqz.admin.api.constant.UpmsType;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.time.LocalDateTime;

/**
 * 档案-药店
 *
 * @author pigx code generator
 * @date 2020-09-23 21:17:34
 */
@Data
@TableName("wm_da_pharmacy")
@EqualsAndHashCode(callSuper = true)
public class WmDaPharmacy extends Model<WmDaPharmacy> {
private static final long serialVersionUID = 1L;

    @TableId
    private String id;
    /**
     * 药店名称
     */
    private String pharmacyName;
    /**
     * 省
     */
    private String province;
    /**
     * 市
     */
    private String city;
    /**
     * 区
     */
    private String area;
    /**
     * 地址
     */
    private String address;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度
     */
    private String latitude;
    /**
     * 组织机构ID
     */
    private String deptId;

	/**
	 * 药店类型
	 */
	private UpmsType.PharmacyType pharmacyType;

    /**
     * 是否删除
     */
	@TableLogic
    private String delFlag;
    /**
     * 是否禁用
     */
    private String enableFlag;
    /**
     * 所属租户
     */
    private Integer tenantId;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
    /**
     * 创建人
     */
    private Integer createUser;
    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
    /**
     * 更新人
     */
    private Integer updateUser;
    }
