package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.Map;

/**
 * 档案-项目管理
 *
 * @author Liujh
 * @date 2020-12-8
 */
@Data
@TableName("wm_da_track")
@EqualsAndHashCode(callSuper = true)
public class WmDaTrack extends Model<WmDaTrack> {
	private static final long serialVersionUID = -6122328154730698316L;
	@TableId
    private Integer id;

    private String tracePrincipalName;

    private String traceObjectName;

    private Integer status;

	private Date createTime;

	private Integer createUser;

	private Date updateTime;

	private Integer updateUser;

	private Long projectId;

	private String export1;

	private String export2;

	private String export3;

	public WmDaTrack generateWmDaTrack(Map<String,Object> map){
		return this;
	}


}
