package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 结算表
 *
 * @author Liujh
 * @date 2020-12-1
 */
@Data
@TableName("wm_payoff")
@EqualsAndHashCode(callSuper = true)
public class WmPayOff extends Model<WmPayOff> {
	private static final long serialVersionUID = 1L;

	@TableId
    private Integer id;
	/**
	 * 积分包名称
	 */
    private String scoreName;
	/**
	 * 身份证号
	 */
    private String idNumber;
	/**
	 * 结算状态
	 */
    private Integer settleStatus;
	/**
	 * 失败原因
	 */
    private String causeFailure;
	/**
	 * 实名认证状态
	 */
    private Integer certStatus;
	/**
	 * 已提交积分值
	 */
    private String submittedValue;
	/**
	 * 实际结算金额
	 */
    private BigDecimal settleAmount;
	/**
	 * 折扣
	 */
    private BigDecimal discount;
	/**
	 * 关联积分包id
	 */
    private String scoreId;
    private String noteId;
	/**
	 * 结算人
	 */
    private String settlePeople;
	/**
	 * 结算时间
	 */
    private Date settleTime;
	/**
	 * 备用1
	 */
    private String export1;
	/**
	 * 备用2
	 */
    private String export2;
	/**
	 * 备用3
	 */
    private String export3;

	/**
	 * 结算单ID
	 */
	private String statementNo;

}
