package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 任务-积分包关联
 *
 * @author gaoyanng
 * @date 2020-06-25 23:35:25
 */
@Data
@TableName("wm_score_package_task_ref")
@EqualsAndHashCode(callSuper = true)
public class WmScorePackageTaskRef extends Model<WmScorePackageTaskRef> {
	private static final long serialVersionUID = 1L;
	@TableId
	private String id;
	/**
	 * 任务ID
	 */
	private String taskId;
	/**
	 * 任务所属积分包ID
	 */
	private String taskPackageId;
	/**
	 * 医药代表ID
	 */
	private String userId;

	/**
	 * 任务状态
	 */
	private String status;

	/**
	 * 组织机构ID
	 */
	private String deptId;
	/**
	 * 是否删除
	 */
	private String delFlag;
	/**
	 * 是否禁用
	 */
	private String enableFlag;
	/**
	 * 所属租户
	 */
	private Integer tenantId;
	/**
	 * 创建时间
	 */
	private LocalDateTime createTime;
	/**
	 * 创建人
	 */
	private Integer createUser;
	/**
	 * 更新时间
	 */
	private LocalDateTime updateTime;
	/**
	 * 更新人
	 */
	private Integer updateUser;
}
