package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 用户签到表
 *
 * @author pigx code generator
 * @date 2020-07-14 20:10:02
 */
@Data
@TableName("wm_user_sign")
@EqualsAndHashCode(callSuper = true)
public class WmUserSign extends Model<WmUserSign> {
	private static final long serialVersionUID = 1L;

	@TableId
	private Integer id;
	/**
	 * 签到人
	 */
	private String signUserid;
	/**
	 * 签到企业ID
	 */
	private String signEntId;
	/**
	 * 签到日期
	 */
	private LocalDateTime signDate;
	/**
	 * 得分
	 */
	private Integer score;
	/**
	 * 经度
	 */
	private String longitude;
	/**
	 * 纬度
	 */
	private String latitude;

	/**
	 * 签单企业名称
	 */
	private String signEntName;

	/**
	 * 签到企业类型: 1-医院, 2-商业公司, 3-药店
	 */
	private String signEntType;

	@TableField(exist = false)
	private String packageId;

	/**
	 * 签到详情
	 */
	@TableField(exist = false)
	private WmUserSignDetail userSignDetail;

	/**
	 * 拜访任务类型id
	 */
	private String taskTypeId;

}
