package com.qunzhixinxi.hnqz.admin.entity.model.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 医院excel批量导入model
 *
 * @author lixuesong
 * @date 2023/11/01
 */
@Data
public class BatchHospitalExcelModel implements Serializable {
	private static final long serialVersionUID = -8891226221432742335L;

	/**
	 * 行编号
	 */
	@ExcelProperty(index = 0)
	private String number;

	/**
     * 名称
	 */
	@ExcelProperty(index = 1)
	private String name;

    /**
     * 地址
	 */
	@ExcelProperty(index = 2)
	private String address;

	/**
	 * 医院规模
	 */
	@ExcelProperty(index = 3)
	private String grade;

	/**
	 * 医院性质
	 */
	@ExcelProperty(index = 4)
	private String type;

	/**
	 * 医院官网
	 */
	@ExcelProperty(index = 5)
	private String website;

	/**
	 * 院病床总数（张）
	 */
	@ExcelProperty(index = 6)
	private String bedsNumber;
}
