package com.qunzhixinxi.hnqz.admin.entity.model.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 药店excel批量导入model
 *
 * @author lixuesong
 * @date 2023/11/01
 */
@Data
public class BatchPharmacyExcelModel implements Serializable {
	private static final long serialVersionUID = 463822341690953480L;

	/**
	 * 行编号
	 */
	@ExcelProperty(index = 0)
	private String number;

	/**
	 * 名称
	 */
	@ExcelProperty(index = 1)
	private String name;

	/**
	 * 地址
	 */
	@ExcelProperty(index = 2)
	private String address;

	/**
	 * 药店类型
	 */
	@ExcelProperty(index = 3)
	private String pharmacyType;
}
