package com.qunzhixinxi.hnqz.admin.oe.entity.dto;

import lombok.Data;

import java.io.Serializable;

public class OeMedicineRequest {

    /**
     * oe药品保存参数
     */
    @Data
    public static class ToSaveMedicine implements Serializable {
        private static final long serialVersionUID = 498425117146760393L;

        /**
         * 药品名称
         */
        private String name;

        /**
         * 通用名称
         */
        private String commonName;

        /**
         * 上市许可持有人
         */
        private String mah;

        /**
         * 生产企业
         */
        private String productionEnterprise;

        /**
         * 推广企业统计
         */
        private Integer promotedBusinessStatistics;

        /**
         * 是否全国医保
         */
        private Boolean medicalInsurance;

        /**
         * 剂型
         */
        private String dosageForm;

        /**
         * 规格
         */
        private String specification;

        /**
         * 原研/仿制药
         */
        private String drugType;

        /**
         * 备注
         */
        private String remark;

    }

    /**
     * oe药品更新参数
     */
    @Data
    public static class ToUpdateMedicine implements Serializable {
        private static final long serialVersionUID = -3961892156546807439L;

        /**
         * 药品名称
         */
        private String name;

        /**
         * 通用名称
         */
        private String commonName;

        /**
         * 上市许可持有人
         */
        private String mah;

        /**
         * 生产企业
         */
        private String productionEnterprise;

        /**
         * 推广企业统计
         */
        private Integer promotedBusinessStatistics;

        /**
         * 是否全国医保
         */
        private Boolean medicalInsurance;

        /**
         * 剂型
         */
        private String dosageForm;

        /**
         * 规格
         */
        private String specification;

        /**
         * 原研/仿制药
         */
        private String drugType;

        /**
         * 备注
         */
        private String remark;

    }
}
