package com.qunzhixinxi.hnqz.admin.oe.entity.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * oe团队请求
 *
 * @author lixuesong
 * @date 2023/08/08
 */
public class OeTeamRequest {

    /**
     * 保存团队参数
     *
     * @author lixuesong
     * @date 2023/08/08
     */
    @Data
    public static class ToSave implements Serializable {

        private static final long serialVersionUID = 8449495175671168735L;

        /**
         * 团队名称
         */
        private String name;

        /**
         * 团队负责人
         */
        private Long[] leader;

        /**
         * 团队成员
         */
        private Long[] member;
    }

    /**
     * 更新团队参数
     *
     * @author lixuesong
     * @date 2023/08/08
     */
    @Data
    public static class ToUpdate implements Serializable {

        private static final long serialVersionUID = 6010813670149051628L;

        /**
         * 主键id
         */
        private Long id;

        /**
         * 团队名称
         */
        private String name;

        /**
         * 团队负责人
         */
        private Long[] leader;

        /**
         * 团队成员
         */
        private Long[] member;
    }
}
