package com.qunzhixinxi.hnqz.admin.oe.entity.vo;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * oe药品
 *
 * @author lixuesong
 * @date 2023/08/07
 */
@Data
public class OeMedicineVO implements Serializable {

    private static final long serialVersionUID = -6120119934476311908L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 药品名称
     */
    private String name;

    /**
     * 通用名称
     */
    private String commonName;

    /**
     * 上市许可持有人
     */
    private String mah;

    /**
     * 生产企业
     */
    private String productionEnterprise;

    /**
     * 推广企业统计
     */
    private Integer promotedBusinessStatistics;

    /**
     * 是否全国医保
     */
    private Boolean medicalInsurance;

    /**
     * 剂型
     */
    private String dosageForm;

    /**
     * 规格
     */
    private String specification;

    /**
     * 原研/仿制药类型
     */
    private String drugType;

    /**
     * 原研/仿制药类型名称
     */
    private String drugTypeName;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private LocalDateTime createdTime;

    /**
     * 修改时间
     */
    private LocalDateTime modifiedTime;
}
