package com.qunzhixinxi.hnqz.admin.oe.entity.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * oe团队管理VO
 *
 * @author lixuesong
 * @date 2023/08/08
 */
@Data
public class OeTeamVO implements Serializable {

    private static final long serialVersionUID = -8166723468956394406L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 团队名称
     */
    private String name;

    /**
     * 团队负责人
     */
    private Long[] leader;

    /**
     * 团队负责人名称
     */
    private String[] leaderName;

    /**
     * 团队成员
     */
    private Long[] member;

    /**
     * 团队成员名称
     */
    private String[] memberName;
}
