package com.qunzhixinxi.hnqz.admin.oe.entity.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * oe终端VO
 *
 * @author lixuesong
 * @date 2023/08/08
 */
@Data
public class OeTerminalVO implements Serializable {

    private static final long serialVersionUID = 7128806313743294064L;

    /**
     * 租户id
     */
    private Long tenantId;

    /**
     * 企业名称
     */
    private String name;

    /**
     * 统一社会信用代码
     */
    private String code;

    /**
     * 服务药企tenantId
     */
    private Long servedDrugCompanyTenantId;

    /**
     * 服务药企名称
     */
    private String servedDrugCompanyName;

    /**
     * 服务代理商tenantId
     */
    private Long servedCsoTenantId;

    /**
     * 服务代理商名称
     */
    private String servedCsoName;

    /**
     * 药企审核状态(PASS-通过,REJECT-拒绝,PENDING-未审核)
     */
    private String drugCompanyApprovalStatus;

    /**
     * 药企审核状态名称
     */
    private String drugCompanyApprovalStatusName;

    /**
     * 代理商审核状态(PASS-通过,REJECT-拒绝,PENDING-未审核)
     */
    private String csoApprovalStatus;

    /**
     * 代理商审核状态名称
     */
    private String csoApprovalStatusName;
}
