package com.qunzhixinxi.hnqz.admin.oe.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qunzhixinxi.hnqz.admin.oe.entity.dto.OeUserRequest;
import com.qunzhixinxi.hnqz.admin.oe.entity.vo.OeUserVO;
import com.qunzhixinxi.hnqz.common.core.util.R;

/**
 * oe用户服务
 *
 * @author lixuesong
 * @date 2023/08/08
 */
public interface OeUserService {

    /**
     * 分页查询
     *
     * @param page   分页参数
     * @param toPage 查询参数
     * @return {@link IPage}<{@link OeUserVO}>
     */
    IPage<OeUserVO> pageUser(Page<OeUserVO> page, OeUserRequest.ToPage toPage);
}
