package com.qunzhixinxi.hnqz.admin.service;

import com.qunzhixinxi.hnqz.admin.entity.dto.DeptTaskDTO;

/**
 * 企业任务服务
 *
 * @author lixuesong
 * @date 2023/09/21
 */
public interface WmDeptTaskService {

    /**
     * 企业任务保存-企业通用
     *
     * @param params 参数
     * @return {@link Boolean} 结果
     */
    Boolean saveEntTaskForTaskType61(DeptTaskDTO.TaskType61 params);

    /**
     * 企业任务保存-医学会各级年会及卫星会
     *
     * @param params 参数
     * @return {@link Boolean} 结果
     */
    Boolean saveEntTaskForTaskType62(DeptTaskDTO.TaskType62 params);

    /**
     * 企业任务保存-专家共识巡讲会
     *
     * @param params 参数
     * @return {@link Boolean} 结果
     */
    Boolean saveEntTaskForTaskType63(DeptTaskDTO.TaskType63 params);

	/**
	 * 企业任务保存-医院准入
	 *
	 * @param params 参数
	 * @return {@link Boolean} 结果
	 */
	Boolean saveEntTaskForTaskType66(DeptTaskDTO.TaskType66 params);

	/**
	 * 企业任务保存-招投标服务
	 *
	 * @param params 参数
	 * @return {@link Boolean} 结果
	 */
	Boolean saveEntTaskForTaskType67(DeptTaskDTO.TaskType67 params);

	/**
	 * 企业任务保存-商业推广会
	 *
	 * @param params 参数
	 * @return {@link Boolean} 结果
	 */
	Boolean saveEntTaskForTaskType68(DeptTaskDTO.TaskType68 params);

	/**
	 * 企业任务保存-商业渠道维护
	 *
	 * @param params 参数
	 * @return {@link Boolean} 结果
	 */
	Boolean saveEntTaskForTaskType69(DeptTaskDTO.TaskType69 params);

	/**
	 * 企业任务保存-第三方专项合同
	 *
	 * @param params 参数
	 * @return {@link Boolean} 结果
	 */
	Boolean saveEntTaskForTaskType70(DeptTaskDTO.TaskType70 params);
}
