package com.qunzhixinxi.hnqz.admin.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qunzhixinxi.hnqz.admin.entity.UserRecord;
import com.qunzhixinxi.hnqz.admin.mapper.UserRecordMapper;
import com.qunzhixinxi.hnqz.admin.service.UserRecordSerivce;
import com.qunzhixinxi.hnqz.common.core.util.R;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class UserRecordSerivceImpl extends ServiceImpl<UserRecordMapper, UserRecord> implements UserRecordSerivce {

    @Override
    public List<UserRecord> getUserRecordList(Integer userId) {
        List<UserRecord> userRecordList = this.list(Wrappers.<UserRecord>lambdaQuery()
                .eq(UserRecord::getUserId, userId));
        return userRecordList;
    }

    @Override
    public boolean addUserRecord(UserRecord userRecord) {
        boolean addUserRecordResult = this.save(userRecord);
        return addUserRecordResult;
    }

    @Override
    public boolean delUserRecord(Integer recordId) {
        boolean delUserRecordResult = this.removeById(recordId);
        return delUserRecordResult;
    }
}
