package com.qunzhixinxi.hnqz.daemon.elastic;

import com.qunzhixinxi.hnqz.common.feign.annotation.EnableHnqzFeignClients;
import com.qunzhixinxi.hnqz.common.job.annotation.EnableHnqzXxlJob;
import com.qunzhixinxi.hnqz.common.security.annotation.EnableHnqzResourceServer;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;

/**
 * @author hnqz
 * @date 2018/7/24 分布式任务调度模块
 */
@EnableHnqzXxlJob
@EnableHnqzFeignClients
@SpringCloudApplication
@EnableHnqzResourceServer
public class HnqzDaemonElasticJobApplication {

	public static void main(String[] args) {
		SpringApplication.run(HnqzDaemonElasticJobApplication.class, args);
	}

}
