package com.qunzhixinxi.hnqz.daemon.quartz.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.time.LocalDateTime;

/**
 * 积分包状态
 *
 * @author pigx code generator
 * @date 2020-07-31 20:07:00
 */
@Data
@TableName("wm_score_package_status")
@EqualsAndHashCode(callSuper = true)
public class WmScorePackageStatus extends Model<WmScorePackageStatus> {
private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId
    private Integer id;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 积分包id
     */
    private String packageId;
    /**
     * 审核状态：1.审核中，2.审核通过，3.审核不通过
     */
    private String status;
    /**
     * 组织机构ID
     */
    private String deptId;
    /**
     * 是否删除
     */
    private String delFlag;
    /**
     * 是否禁用
     */
    private String enableFlag;
    /**
     * 所属租户
     */
    private Integer tenantId;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
    /**
     * 创建人
     */
    private Integer createUser;
    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
    /**
     * 更新人
     */
    private Integer updateUser;
	/**
	 * 用户积分
	 */
    private String userScore;
    }
