package com.qunzhixinxi.hnqz.daemon.quartz.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 账户充值
 *
 * @author zhangwt
 * @date 2021-02-01 18:06:37
 */
@Data
@TableName("wm_settle_account_receive")
@EqualsAndHashCode(callSuper = true)
public class WmSettleAccountReceive extends Model<WmSettleAccountReceive> {
	private static final long serialVersionUID = 1L;

	@TableId
	private Integer id;
	/**
	 * 账户名称
	 */
	private String accountName;
	/**
	 * 账户编号
	 */
	private String accountNo;

	private String opType;
	/**
	 * 充值金额
	 */
	private String amount;

	private String bankSerialNo;

	private String explore1;

	private String explore2;

	private String explore3;

	/**
	 * 更新时间
	 */
	private LocalDateTime updateTime;
}
