-- 用户回访记录表
create table sys_user_record
(
    id          int auto_increment comment '主键id'
        primary key,

    user_id     varchar(64) null comment '用户id',
    type        varchar(64) comment '记录类型',
    msg         varchar(1024) null comment '记录信息',
    del_flag    char(64) default '0' not null comment '删除标记位',
    create_user varchar(64) null comment '创建人',
    create_time datetime default CURRENT_TIMESTAMP null comment '创建时间',
    update_user varchar(64) null comment '更新人',
    update_time datetime null on update CURRENT_TIMESTAMP comment '更新时间时间'
) comment '用户回访记录表';
