package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.qunzhixinxi.hnqz.admin.api.model.WmQuizResultModel;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 用户平台试卷测评结果
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2023-10-25 15:39
 */
@Data
@TableName(value = "wm_user_plat_quiz_res", autoResultMap = true)
public final class WmPlatformQuizTestResult {


	@TableId(value = "res_id", type = IdType.AUTO)
	private Integer resultId;

	private Integer userId;

	private Integer quizId;

	@TableField(value = "quiz_res", typeHandler = JacksonTypeHandler.class)
	private WmQuizResultModel quizResult;

	@TableField(value = "res_expiry")
	private LocalDate expiry;

	private LocalDateTime createTime;
}
