package com.qunzhixinxi.hnqz.admin.api.vo;

import com.qunzhixinxi.hnqz.admin.api.entity.WmQuestion;
import lombok.AccessLevel;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * 试卷模块vo
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2023-10-16 17:01
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class WmQuizVO {

	@Data
	public static class ToQuestionPageVO{
		private String label;
		private LocalDateTime createTime;
		private String createBy;
		private WmQuestion details;
	}

	@Data
	public static class ToPltQuizTestVO{
		private Boolean required;
		private List<Map<String, Object>> testResults;

	}
}
