package com.qunzhixinxi.hnqz.admin.config;

import com.qunzhixinxi.hnqz.common.core.util.Ip2Region;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 会员中心公共配置
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2022-12-21 22:02
 */
@Slf4j
@Configuration
public class CommonConfiguration {

	/**
	 * 获取IP属地查询器
	 *
	 * @return 查询器
	 */
	@Bean
	public Ip2Region ip2Region() {

		return new Ip2Region();
	}
}
