package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qunzhixinxi.hnqz.admin.entity.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * {@code Contract} 合同实体
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-06-07
 * @since ver.1.0.0
 */
@Data
@TableName("wm_contract")
@EqualsAndHashCode(callSuper = false)
public class Contract extends BaseEntity {

	private static final long serialVersionUID = 422928697799232802L;

	@TableId
	private Integer id;

	private Integer customerId;

	private Integer tenantId;

	private String title;

	private String serialNo;

	private LocalDateTime signTime;

	private LocalDateTime filingTime;

	private LocalDateTime expirationTime;

	private String picUrl;

	private String mgr;

	private String partyA;

	private String partyB;

	private String state;

	private String remark;

}
