package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.qunzhixinxi.hnqz.admin.enums.SubjectLocation;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.math.BigDecimal;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 风险监控
 *
 * @author ryz
 * @date 2021-04-19 16:08:29
 */
@Data
@ToString
@TableName("monitoring_indicator")
@EqualsAndHashCode(callSuper = true)
public class MonitoringIndicator extends Model<MonitoringIndicator> {

	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	@TableId
	private Integer id;
	/**
	 * 报警金额
	 */
	private BigDecimal alarmAmount;
	/**
	 * 限制金额
	 */
	private BigDecimal limitAmount;

	/**
	 * 平台限额
	 */
	private BigDecimal yaoyiLimitAmount;

	/**
	 * 税源地
	 */
	private SubjectLocation subjectLocation;
}
