package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

/**
 * 档案-项目管理
 *
 * @author Liujh
 * @date 2020-12-8
 */
@Data
@TableName("wm_da_project")
@EqualsAndHashCode(callSuper = true)
public class WmDaProject extends Model<WmDaProject> {

	private static final long serialVersionUID = -5631997542424633737L;
	@TableId
	private Integer Id;

	private Long projectId;

	private String projectName;

	private String partya;

	private String partyb;

	@JsonFormat(shape=JsonFormat.Shape.STRING,pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	private Date signData;

	@JsonFormat(shape=JsonFormat.Shape.STRING,pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	private Date expirationDate;

	private Integer projectStatus;

	private String customerCare;

	private String remark;

	private String contractFile;

	private String contractName;

	@JsonFormat(shape=JsonFormat.Shape.STRING,pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	private Date createTime;

	private Integer createUser;

	@JsonFormat(shape=JsonFormat.Shape.STRING,pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	private Date updateTime;

	private Integer updateUser;

	private String export1;

	private String export2;

	private String export3;

	private List<WmDaTrack> wmDaTrackList;

}
