package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 意见反馈
 *
 * @author gaoyanng
 * @date 2020-06-25 23:35:42
 */
@Data
@TableName("wm_feedback")
@EqualsAndHashCode(callSuper = true)
public class WmFeedback extends Model<WmFeedback> {
	private static final long serialVersionUID = 1L;

	@TableId
	private Integer id;
	/**
	 * 反馈意见用户ID
	 */
	private String yjUserid;
	/**
	 * 反馈意见内容
	 */
	private String ygContent;
	/**
	 * 组织机构ID
	 */
	private Integer deptId;
	/**
	 * 是否删除
	 */
	private Integer delFlag;
	/**
	 * 是否禁用
	 */
	private Integer enableFlag;
	/**
	 * 所属租户
	 */
	private Integer tenantId;
	/**
	 * 创建时间
	 */
	private LocalDateTime createTime;
	/**
	 * 创建人
	 */
	private Integer createUser;
	/**
	 * 更新时间
	 */
	private LocalDateTime updateTime;
	/**
	 * 更新人
	 */
	private Integer updateUser;
}
