package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 导入任务成员表
 *
 * @author pigx code generator
 * @date 2021-01-06 19:39:17
 */
@Data
@TableName("wm_import_user")
@EqualsAndHashCode(callSuper = true)
public class WmImportUser extends Model<WmImportUser> {
private static final long serialVersionUID = 1L;

    @TableId
    private Integer id;
    /**
     * 积分包ID
     */
    private String scoreId;
    /**
     * 姓名
     */
    private String importName;
    /**
     * 手机号
     */
    private String importPhone;
    /**
     * 身份证号
     */
    private String importIdCardNumber;
    /**
     * 签名
     */
    private String userSign;
    /**
     * 认证状态
     */
    private Integer certStatus;
    /**
     * 认证结果描述
     */
    private String certRemark;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
    /**
     * 创建人
     */
    private Integer createUser;
    /**
     * 是否删除
     */
    private String delFlag;
    /**
     * 是否禁用
     */
    private String realFlag;
    }
