package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 任务内容字段配置
 *
 * @author gaoyanng
 * @date 2020-06-25 23:35:25
 */
@Data
@TableName("wm_task_content_config")
@EqualsAndHashCode(callSuper = true)
public class WmTaskContentConfig extends Model<WmTaskContentConfig> {
private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId
    private Integer id;
    /**
     * 任务大类ID
     */
	private String baseTypeId;

	/**
	 * 任务ID
	 */
    private String taskTypeId;

    /**
     * 字段1
     */
    private String taskFiledKey;

    /**
     * 字段2
     */
    private String taskFiledValue;
    /**
     * 字段类型
     */
    private String taskFiledType;
    /**
     * 最大长度
     */
    private Integer taskFiledMinsize;
    /**
     * 最小长度
     */
    private Integer taskFiledMaxsize;
    /**
     * 弹框提示
     */
    private String taskFiledAlert;
    /**
     * 字典值请求URL
     */
    private String dictUrl;
    /**
     * 字典值分组名称
     */
    private String dictGroupName;
    /**
     * 是否必填
     */
    private String isMustfill;
    /**
     * 组织机构ID
     */
    private Integer deptId;
    /**
     * 是否删除
     */
    private String delFlag;
    /**
     * 是否禁用
     */
    private String enableFlag;
    /**
     * 所属租户
     */
    private Integer tenantId;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
    /**
     * 创建人
     */
    private Integer createUser;
    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
    /**
     * 更新人
     */
    private Integer updateUser;

	/**
	 * 顺序
	 */
	private Integer seq;
    }
