package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 任务类型打分
 *
 * @author gaoyanng
 * @date 2020-06-25 23:35:25
 */
@Data
@TableName("wm_task_type_score_ref")
@EqualsAndHashCode(callSuper = true)
public class WmTaskTypeScoreRef extends Model<WmTaskTypeScoreRef> {
	private static final long serialVersionUID = 1L;

	@TableId
	private Integer id;
	/**
	 * 积分规则ID
	 */
	private Integer taskRuleId;
	/**
	 * 任务类型打分
	 */
	private String taskTypeScore;
	/**
	 * 任务类型ID
	 */
	private Integer taskTypeId;
	/**
	 * 1.平台给一级代理商打分
	 * 2.一级代理商给二级代理商打分
	 */
	private Integer typeid;
	/**
	 * 一级代理商ID
	 */
	private Integer level1Id;
	/**
	 * 二级代理商ID
	 */
	private Integer level2Id;
	/**
	 * 药企ID
	 */
	private Integer drugentId;
	/**
	 * 积分规则所属月份
	 */
	private String monthStr;
	/**
	 * 组织机构ID
	 */
	private Integer deptId;
	/**
	 * 是否删除
	 */
	private Integer delFlag;
	/**
	 * 是否禁用
	 */
	private Integer enableFlag;
	/**
	 * 所属租户
	 */
	private Integer tenantId;
	/**
	 * 创建时间
	 */
	private LocalDateTime createTime;
	/**
	 * 创建人
	 */
	private Integer createUser;
	/**
	 * 更新时间
	 */
	private LocalDateTime updateTime;
	/**
	 * 更新人
	 */
	private Integer updateUser;
}
