package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 文库-相册
 *
 * @author gaoyanng
 * @date 2020-06-25 23:35:24
 */
@Data
@TableName("wm_wk_album")
@EqualsAndHashCode(callSuper = true)
public class WmWkAlbum extends Model<WmWkAlbum> {
private static final long serialVersionUID = 1L;

    @TableId
    private String id;
    /**
     * 相册名称
     */
    private String xcmc;
    /**
     * 封面
     */
    private String scfm;
    /**
     * 关联药品
     */
    private String glyp;
    /**
     * 文本
     */
    private String wb;

	/**
	 * 文章来源
	 */
	private Integer forwardNum;

    /**
     * 组织机构ID
     */
    private Integer deptId;
    /**
     * 是否删除
     */
    @TableLogic
    private Integer delFlag;
    /**
     * 是否禁用
     */
    private Integer enableFlag;
    /**
     * 所属租户
     */
    private Integer tenantId;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
    /**
     * 创建人
     */
    private Integer createUser;
    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
    /**
     * 更新人
     */
    private Integer updateUser;


    private String temp1;

	private String score;

}
