package com.qunzhixinxi.hnqz.admin.entity.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 新版报告导出参数
 *
 * @author lixuesong
 * @date 2023/12/18
 */
@Data
public class NewReportExportDTO implements Serializable {
	private static final long serialVersionUID = 7981252103869889992L;

	/**
	 * 积分包id
	 */
	@NotBlank(message = "积分包id必填")
	private String id;

	/**
	 * 任务状态(2-待审核,3-审核通过)
	 */
	@NotBlank(message = "任务状态必填")
	private String taskStatus;

	/**
	 * 部门id
	 */
	private Integer deptId;
}
