package com.qunzhixinxi.hnqz.admin.entity.model.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 商业公司excel批量导入model
 *
 * @author lixuesong
 * @date 2023/11/01
 */
@Data
public class BatchDistributionExcelModel implements Serializable {
	private static final long serialVersionUID = 7791901612996151931L;

	/**
	 * 行编号
	 */
	@ExcelProperty(index = 0)
	private String number;

	/**
     * 名称
	 */
	@ExcelProperty(index = 1)
	private String name;

    /**
     * 地址
	 */
	@ExcelProperty(index = 2)
	private String address;

	/**
	 * 公司规模
	 */
	@ExcelProperty(index = 3)
	private String size;

	/**
	 * 统一社会信用代码
	 */
	@ExcelProperty(index = 4)
	private String code;

	/**
	 * 公司注册地
	 */
	@ExcelProperty(index = 5)
	private String registeredAddress;

	/**
	 * 注册资本
	 */
	@ExcelProperty(index = 6)
	private String registeredCapital;

	/**
	 * GSP证书编号
	 */
	@ExcelProperty(index = 7)
	private String certificateNumber;

	/**
	 * 法定代表人
	 */
	@ExcelProperty(index = 8)
	private String legalRepresentative;

	/**
	 * 药品信息化追溯体系
	 */
	@ExcelProperty(index = 9)
	private String medicineTraceability;

	/**
	 * 药品信息化追溯体系介绍
	 */
	@ExcelProperty(index = 10)
	private String medicineTraceabilityDesc;

	/**
	 * 公司简介
	 */
	@ExcelProperty(index = 11)
	private String companyProfile;

	/**
	 * 经营优势
	 */
	@ExcelProperty(index = 12)
	private String advantages;
}
