package com.qunzhixinxi.hnqz.admin.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: lixuesong
 * @createTime: 2022/11/25 9:53
 * @description: 报告类型
 */
@Getter
@AllArgsConstructor
public enum ReportTypeEnum {

    /**
     * 报告类型
     */
    ZB("ZB", "个人承接任务-按积分值，个人承接任务-按任务量，个人承接任务-通用，个人报告管理-个人报告"),
    ZB_REVIEW("ZB_REVIEW", "个人承接任务-按积分值-待审核"),
    NBA("NBA", "企业承接任务的报告、任务中心单的报告"),
    NB("NB", "结算报告管理，结算报告审批的报告"),
    NB_REVIEW("NB_REVIEW", "结算报告审批-待审核"),
    EXCEL_ZB("EXCEL_ZB", "excel版个人承接任务-按积分值，个人承接任务-按任务量，个人承接任务-通用，个人报告管理-个人报告"),
    EXCEL_ZB_REVIEW("EXCEL_ZB_REVIEW", "excel版个人承接任务-按积分值，个人承接任务-按任务量，个人承接任务-通用，个人报告管理-个人报告"),
    EXCEL_NBA("EXCEL_NBA", "excel版企业承接任务的报告、任务中心单的报告"),
    EXCEL_NB("EXCEL_NB", "excel版结算报告管理，结算报告审批的报告"),
    EXCEL_NB_REVIEW("EXCEL_NB_REVIEW", "excel版结算报告管理，结算报告审批的报告"),

	NEW_DRUG_ENT("NEW_DRUG_ENT", "新版企业承接任务的报告、任务中心单的报告"),
    NEW_PERSONAL("NEW_PERSONAL", "新版个人承接任务-按积分值/个人承接任务-按积分值-任务审核/多人承接任务-按积分值/个人报告导出——导出、合并导出"),
    NEW_EXCEL_COMMON("NEW_EXCEL_COMMON", "新版excel版的通用报告");

    /**
     * 报告类型
     */
    private final String type;

    /**
     * 说明
     */
    private final String desc;


}
