package com.qunzhixinxi.hnqz.admin.oe.entity.vo;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 租户VO
 */
@Data
public class OeTenantVO implements Serializable {

    private static final long serialVersionUID = -8127002006960529514L;

    /**
     * 租户id
     */
    private Long tenantId;

    /**
     * 租户名称
     */
    private String name;

    /**
     * 租户编号
     */
    private String code;

    /**
     * 等级
     */
    private String level;

    /**
     * 等级名称
     */
    private String levelName;

    /**
     * 权限限制
     */
    private String[] permissions;

    /**
     * 结算渠道
     */
    private String[] settleChannels;

    /**
     * 删除标记(OK-正常,DEL-已删除)
     */
    private String delFlag;

    /**
     * 删除标记名称
     */
    private String delFlagName;

    /**
     * 锁定标记(OK-正常,LOC-已锁定)
     */
    private String locFlag;

    /**
     * 锁定标记名称
     */
    private String locFlagName;

    /**
     * 创建时间
     */
    private LocalDateTime createdTime;

    /**
     * 修改时间
     */
    private LocalDateTime modifiedTime;
}
