package com.qunzhixinxi.hnqz.admin;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.StrUtil;
import com.qunzhixinxi.hnqz.admin.entity.WmTask;
import com.qunzhixinxi.hnqz.admin.service.WmTaskService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.List;
import java.util.stream.Collectors;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(classes = {HnqzAdminApplication.class})
public class WmReportApprovalTest {

    @Autowired
    private WmTaskService wmTaskService;

//    @Test
    public void testApprovalData() {
        String taskIdStr = "315679,\n" +
                "315681,\n" +
                "315682,\n" +
                "315683,\n" +
                "315685,\n" +
                "315690,\n" +
                "315695,\n" +
                "315697,\n" +
                "315703,\n" +
                "315704,\n" +
                "315705,\n" +
                "315706,\n" +
                "315707,\n" +
                "315708,\n" +
                "315709,\n" +
                "315710,\n" +
                "315711\n";
        List<String> taskIdList = StrUtil.split(taskIdStr, ",")
                .stream().map(String::trim)
                .collect(Collectors.toList());;

        taskIdList.forEach(id -> {
            // 查询这条任务
            WmTask queryTask = wmTaskService.getById(id);
            if (queryTask == null) {
                throw new RuntimeException("任务不存在");
            }


            // STEP4: 如果是源头积分包，则判断是否审核入库调查信息
//            if (StringUtils.isNotBlank(reportScorePackage.getRelationScoreId())) {
                wmTaskService.task15_30_16_18ForManualOperation(queryTask, "3", "手动审核通过入库"+ DateUtil.now());
//            }
            System.out.println("处理完成taskID="+id);
        });
    }
}
