package com.qunzhixinxi.hnqz.daemon.quartz.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.time.LocalDateTime;

/**
 * 积分包
 *
 * @author pigx code generator
 * @date 2020-07-31 20:07:52
 */
@Data
@TableName("wm_score_package")
@EqualsAndHashCode(callSuper = true)
public class WmScorePackage extends Model<WmScorePackage> {
private static final long serialVersionUID = 1L;

    @TableId
    private Integer id;
    /**
     * 规则ID
     */
    private String taskRuleId;
    /**
     * 药企ID
     */
    private String drugEntId;
    /**
     * 积分包ID
     */
    private String scoreId;
    /**
     * 积分包名称
     */
    private String scoreName;
    /**
     * 积分
     */
    private String score;
    /**
     * 代理商类型
     */
    private String agentTypeId;
    /**
     * 一级代理商
     */
    private String level1Id;
    /**
     * 二级代理商
     */
    private String level2Id;
    /**
     * 众包ID
     */
    private String zbId;
    /**
     * 销售代表ID
     */
    private String xxdbId;
    /**
     * 分配对象类型
     */
    private String typeid;
    /**
     * 积分包状态
     */
    private String packageStatus;
    /**
     * 积分包完成状态
     */
    private String packageFinishStatus;
    /**
     * 发包方ID
     */
    private String sendPackageDeptId;
    /**
     * 组织机构ID
     */
    private String deptId;
    /**
     * 是否删除
     */
    private String delFlag;
    /**
     * 是否禁用
     */
    private String enableFlag;
    /**
     * 所属租户
     */
    private Integer tenantId;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
    /**
     * 创建人
     */
    private Integer createUser;
    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
    /**
     * 更新人
     */
    private Integer updateUser;

    private Integer ytj;

    private Integer ysh;

    private Integer dsh;

    private Integer ytjtt;

    private Integer ywctt;

    private Integer yshtt;
    }
