package com.qunzhixinxi.hnqz.daemon.quartz.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 文库-文章
 *
 * @author pigx code generator
 * @date 2020-08-03 19:27:31
 */
@Data
@TableName("wm_wk_article")
@EqualsAndHashCode(callSuper = true)
public class WmWkArticle extends Model<WmWkArticle> {
	private static final long serialVersionUID = 1L;

	/**
	 *
	 */
	@TableId
	private Integer id;
	/**
	 * 文章标题
	 */
	private String title;
	/**
	 * 作者
	 */
	private String author;
	/**
	 * 封面
	 */
	private String fm;
	/**
	 * 文章内容
	 */
	private String content;
	/**
	 * 文章来源
	 */
	private String source;
	/**
	 * 描述
	 */
	private String description;
	/**
	 * 组织机构ID
	 */
	private Integer deptId;
	/**
	 * 是否删除
	 */
	private Integer delFlag;
	/**
	 * 是否禁用
	 */
	private Integer enableFlag;
	/**
	 * 所属租户
	 */
	private Integer tenantId;
	/**
	 * 创建时间
	 */
	private LocalDateTime createTime;
	/**
	 * 创建人
	 */
	private Integer createUser;
	/**
	 * 更新时间
	 */
	private LocalDateTime updateTime;
	/**
	 * 更新人
	 */
	private Integer updateUser;
	/**
	 * 转发数
	 */
	private Integer forwardNum;
	/**
	 * 抓取文章栏目ID
	 */
	private String channelId;
	/**
	 * 抓取文章ID
	 */
	private String articleId;

	private String area;
}
